Failed to find Build Tools revision 23.0.1

I am trying to build my first app with react-native.

I am following these 2 tutorial:

I am sure that I installed all the requirements from the second link but when I try running my app with react-native run-android, I get the following error:

I executed this command while running genymotion.

This is all that I have installed in Android SDK:

I tried to install Android build tools 23.0.1 but I get this error:

What should I do?

I faced the same problem and I solved it doing the following:

Go to /home/[USER]/Android/Sdk/tools and execute:

$android list sdk -a

Which will show a list like:

  1. Android SDK Tools, revision 24.0.2
  2. Android SDK Platform-tools, revision 23.0.2
  3. Android SDK Platform-tools, revision 23.0.1

... and many more

Then, execute the command (attention! at your computer the third option may be different):

$android update sdk -a -u -t 3

It will install the 23.0.1 SDK Platform-tools components.

Try to build your project again.

React Native Android: failed to find Build Tools revision 23.0.1, failed to find Build Tools revision 23.0.1 * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more  it simply means there is a mismatch in the Android Build Tools installed on your system and the configuration file of your React Native app - the config file has an entry for 23.0.1, but you might have 23.0.3 or something else on your system. The solution to fixing this problem is to either: Update the build.gradle file to use the version of Android Build Tools installed on your system; Install the missing 23.0.1 Build Tools.

You should install Android SDK Build Tools 23.0.1 via Android SDK. Don't forget to check Show Packages Details.

[ANDROID] failed to find Build Tools revision 23.0.3 · Issue #195 , Hi, i'm currently trying to make work latest release on android but i handle this error when i'm compiling  android studio Fix error: failed to find Build Tools revision 23.0.0 Error:failed to find Build Tools revision 23.0.0 Install Build Tools 23.0.0 and sync project Warning: The package filter

Either install v23.0.1 of the build tools (the fifth row in your screenshot), or change your code to use the build tools version you already have installed (v23.0.3). This can be specified in your app's build.gradle file:

android {
    compileSdkVersion 23
    buildToolsVersion "23.0.3"

    defaultConfig {
        ...
    }
}

As per duncanc4's comment below,

The build.gradle file you want to edit is in the android/app folder within your project directory.

failed to find Build Tools revision 23.0.2 · Issue #68 · fbsamples , failed to find Build Tools revision 23.0.2. In android/app/build.gradle, default is: buildToolsVersion "23.0.1". So I installed build Tools 23.0.2  Android: The SDK Build Tools revision (23.0.1) is too low for project ':react-native-social-share'. Minimum required is 25.0.0 #40

The error you're getting seems to be related to system's permissions, since it's not able to create a folder.

Try running the sdk-manager using root (with su or sudo commands).

Gradle sync failed: failed to find Build Tools revision 21.1.1, Gradle sync issue while update the app to new android studio version.Duration: 2:46 Posted: May 17, 2018 Error: Ignoring unknown package filter 'build-tools-23.0.2' Warning: The package filter removed all packages. There is nothing to install. Please consider trying to update again without a package filter.

I had this error:

Failed to find Build Tools revision 23.0.2

When you got updated/installed:

  1. Android SDK Build Tools
  2. Android SDK Tools

Change version number in build.gradle

FROM

buildToolsVersion "23.0.2"

TO

buildToolsVersion "25.0.2"

How to find what Build Tools version you have

android studio Fix error failed to find Build Tools revision 23.0.0 rc3 , Install Build Tools 23.0.0 and sync project Warning: The package filter removed all packages Duration: 1:04 Posted: Aug 31, 2015 You may want to rename this question to "failed to find Build Tools revision *.0.0" – ooolala Nov 7 '13 at 5:22 1 SDK Manager is found in Windows' programs menu under Android SDK Tools .

Failed to find Build Tools revision 23.0.1, I had this error: Failed to find Build Tools revision 23.0.2 When you got updated/​installed: Android SDK Build Tools Android SDK Tools Change version number  Right after creating a blank project the log mentions "Gradle sync failed: failed to find Build Tools revision 24.0.0 rc1." First I looked online to see how to resolve this and came across this similar question , and followed the solution given (setting the build tools version in the module settings).

How to solve 'Failed to Find Build Tools Revision 26.0.2' in Android , Android SDK Platform-tools, revision 23.0.1 and many more. Then, execute the command (attention! at your computer the third option may be  The SDK Build Tools revision (23.0.1) is too low for project 'react-native-vector-icons'. Minimum required is 25.0.0. And the only way I can build is to set the buildToolsVersion to "25.0.0" inside the build.gradle file

SDK Build Tools release notes, Android SDK Build-Tools is a component of the Android SDK required for building Android apps. Build Tools, Revision 23.0.1 (October 2015). Fixed issues in  failed to find Build Tools revision 23.0.3 Would it be a good idea to replace your version with the same as Facebook uses for React Native? That should not introduce a problem and solves it for people that only have Build Tools revision 23.0.1 installed.

Comments
  • worked for me - android studio is installed at ~/Library/Android/sdk/tools on mac
  • It installed revision 25.0.1 not 23.0.1
  • @LukasLiesis From the first command android list sdk -a check what number 23.0.1 gets. It will change over time. Yesterday it was 12. So the install command was android update sdk -a -u -t 12
  • @Manwe how can i get that number? P.s. already installed required version with sdk manager, but still, for future googlers :-)
  • Thanks, by the way ./android is deprecated, now in /home/[USER]/Android/Sdk/tools/bin you can run ./sdkmanager --list to get the same result After that I fixed it by finding a build-tools version that was matching a version found in sdk/extras/android/m2repository/com/android/support/appcompat-v7
  • I had to remove build build tools using SDK manager firstly and then add it again. It fixed the issue.
  • Hi, for future googlers: if the version you are looking for does not exist press the box Show Package Details
  • I had to install both the platform (details + Google API) and the tools.
  • i tried installing it but i get the error in the last image. How do i choose what build tool version to use?
  • He's using react-native, so i'm not sure how much access he's got to the build.gradle file.
  • Interesting, the build is still obviously using gradle under the hood (see the terminal snapshot) so I would expect it to be hiding in there somewhere...
  • With Android Studio 3.0.1 and Gradle 4.3.1 there is no buildToolsVersion property, so I added it into defaultConfig (in the same file) and it stopped showing the error.
  • As of v3.0.0 of the Android Gradle plugin, the build tools version is automatically determined based on the plugin version (but can be overridden, I believe).
  • Thankyou so much. I've been going in circles for hours between Failed to find Build Tools revision *.0.0 and install build tools *.0.0 and sync project. On Windows, I added ANDROID_HOME="C:\Users\Administrator\AppData\Local\Android\sdk" as a system variable. Finally works.